<?php
/**
 * ReDi Link Resolver Driver
 *
 * PHP version 5
 *
 * Copyright (C) Leipzig University Library 2015
 *
 * @category VuFind
 * @package  Resolver_Drivers
 * @author   Robert Lange <lange@ub.uni-leipzig.de>
 * @license  http://opensource.org/licenses/gpl-2.0.php GNU General Public License
 * @link     https://vufind.org/wiki/development:plugins:link_resolver_drivers Wiki
 */
namespace finc\Resolver\Driver;

use \VuFind\Resolver\Driver\Redi as RediBase;

/**
 * Redi Link Resolver Driver
 *
 * @category VuFind
 * @package  Resolver_Drivers
 * @author   Robert Lange <lange@ub.uni-leipzig.de>
 * @license  http://opensource.org/licenses/gpl-2.0.php GNU General Public License
 * @link     https://vufind.org/wiki/development:plugins:link_resolver_drivers Wiki
 */
class Redi extends RediBase
{
    use ResolverTrait;

    /**
     * Fetch Links
     *
     * Fetches a set of links corresponding to an OpenURL
     *
     * @param string $openURL openURL (url-encoded)
     *
     * @return string         raw XML returned by resolver
     */
    public function fetchLinks($openURL)
    {
        $url = $this->getResolverUrl($openURL);
        $feed = $this->httpClient->setUri($url)->send()->getBody();
        return $feed;
    }
}
